#pragma once

#include "CoreMinimal.h"
#include "PerkRandomSuccessData.generated.h"

USTRUCT(BlueprintType)
struct FPerkRandomSuccessData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 Value;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float Duration;

public:
	DEADBYDAYLIGHT_API FPerkRandomSuccessData();
};

FORCEINLINE uint32 GetTypeHash(const FPerkRandomSuccessData) { return 0; }
